local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    setColorGrade("none")
    setDarkness(0)
    setBloomStrength(0)
    player.Facing = getEnum("Celeste.Facings", "Right")

    --local level = getLevel()
    --coroutine.yield(exCameraHelper.Level_ZoomToFocus(level, vector2(7968, 4324), 2, 0.001))

    wait(1)
    walkTo (7992, false, 0.8, false)
    player.Facing = getEnum("Celeste.Facings", "Left")
    wait(2)
    walkTo (7965, false, 0.8, false)
    player.Facing = getEnum("Celeste.Facings", "Right")
    wait(2)
    player.DummyAutoAnimate = false
    player.Sprite:Play("duck")
    wait(2)
    player.DummyAutoAnimate = true
    wait(3)

    local level = getLevel()
    cameraZoomHooks.ForceCameraTo(level, cameraFocus.FromCenter(vector2(8432, 4324), 1))
    teleportTo(8372, 4328, "feel_15")

    enableMovement()
    endCutscene ()
	

end